My account#
DELETE /api/me#
Delete my account
Deletes the signed-in member’s account, their event signups, and the session cookie. This is the site’s equivalent of unlinking Discord. Signing in again afterwards creates a fresh member.
Response 204 — The account was deleted.
GET /api/me#
Get my profile
Returns the signed-in member’s own profile.
Response 200 — The signed-in member’s profile.
Model: Me
Field |
Type |
Required |
Description |
|---|---|---|---|
|
integer |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string |
yes |
|
|
string | null |
yes |
|
|
boolean |
yes |
|
|
boolean |
yes |
|
|
boolean |
yes |
|
|
string | null |
yes |
|
|
boolean |
yes |